gmp_and
gmp_cmp
GMP Functions
PHP Manual

# gmp_clrbit

(PHP 4 >= 4.0.4, PHP 5)

gmp_clrbit — Clear bit

### Description

void gmp_clrbit ( resource `$a` , int `$index` )

Clears (sets to 0) bit `index` in `a`. The index starts at 0.

### Parameters

`a`

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

`index`

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource .

### Examples

Example #1 gmp_clrbit() example

`<?php
$a = gmp_init("0xff");
gmp_clrbit($a, 0); // index starts at 0, least significant bit
echo gmp_strval($a) . "\n";
?>`

The above example will output:

    254

### Notes

> Note: Unlike most of the other GMP functions, gmp_clrbit() must be called with a GMP resource that already exists (using gmp_init() for example). One will not be automatically created.

### See Also

- gmp_setbit() - Set bit
- gmp_testbit() - Tests if a bit is set

gmp_and
gmp_cmp
GMP Functions
PHP Manual